%define name bvi
%define version 1.3.2
%define release 2.te

%define bviroot %{_builddir}/%{name}-%{version}

Summary: Binary editor using vi commands
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Editors
License: GPL
Vendor: Gerhard Buergmann <gerhard.buergmann@puon.at>
Packager: Troy Engel <tengel@sonic.net>
Source: %{name}-%{version}.src.tar.gz
Patch0: %{name}-%{version}.Makefile.patch
URL: http://bvi.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
BVI is an editor for binary files using common vi - commands
and additional commands for binary search and substitution

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
# make install makes hardlinks - we'll do it in post-install instead
rm -f %{buildroot}%{_bindir}/bview
rm -f %{buildroot}%{_bindir}/bvedit

%post
ln -sf %{_bindir}/bvi %{_bindir}/bview
ln -sf %{_bindir}/bvi %{_bindir}/bvedit


%postun
rm -f %{_bindir}/bview
rm -f %{_bindir}/bvedit


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "%{bviroot}" != "/" ] && rm -rf %{bviroot}
rm -f %{_builddir}/file.list.%{name}

%files
%defattr(-,root,root)
%attr(0644,root,root) %doc CHANGES COPYING CREDITS README html/
%attr(-,root,root) %{_bindir}/*
%attr(-,root,root) %{_mandir}/man1/*
%attr(-,root,root) %{_datadir}/bvi/*

%changelog
* Sat Aug 27 2005 Troy Engel <tengel@sonic.net> 1.3.2-2.te
- update spec to build on FC4

* Wed Nov 17 2004 Troy Engel <tengel@sonic.net>
- update bvi-1.3.2
- apply Makefile patch to move bmore.help

